package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 分配记录日志对象 lab_risk_plan_distribution
 *
 * @author zd
 * @date 2022-03-07
 */
@ApiModel("分配记录日志")
public class LabRiskPlanDistribution extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 预案id */
    @Excel(name = "预案id")
    @ApiModelProperty(value = "预案id")
    private Long riskPlanId;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subId;
    /** 所属院系id */
    @Excel(name = "所属院系id")
    @ApiModelProperty(value = "所属院系id")
    private Long groupDeptId;
    /** 创建人id（实验室管理人） */
    @Excel(name = "创建人id", readConverterExp = "实=验室管理人")
    @ApiModelProperty(value = "创建人id")
    private Long userId;
    /** 1是关联成功，2是关联失败 */
    @Excel(name = "1是关联成功，2是关联失败")
    @ApiModelProperty(value = "1是关联成功，2是关联失败")
    private Long distrStatus;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setGroupDeptId(Long groupDeptId)
    {
        this.groupDeptId = groupDeptId;
    }

    public Long getGroupDeptId()
    {
        return groupDeptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDistrStatus(Long distrStatus)
    {
        this.distrStatus = distrStatus;
    }

    public Long getDistrStatus()
    {
        return distrStatus;
    }

    public Long getRiskPlanId() {
        return riskPlanId;
    }

    public void setRiskPlanId(Long riskPlanId) {
        this.riskPlanId = riskPlanId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subId", getSubId())
            .append("groupDeptId", getGroupDeptId())
            .append("userId", getUserId())
            .append("distrStatus", getDistrStatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("remark", getRemark())
            .toString();
    }
}
